# azure.mgmt.trafficmanager package

## Submodules

- azure.mgmt.trafficmanager.models module
- azure.mgmt.trafficmanager.operations module

## Module contents

class `azure.mgmt.trafficmanager.``TrafficManagerManagementClient`(credentials, subscription_id, base_url=None)

  Bases: `msrest.service_client.SDKClient`

  Variables:

  - config (TrafficManagerManagementClientConfiguration) – Configuration for client.
  - endpoints (azure.mgmt.trafficmanager.operations.EndpointsOperations) – Endpoints operations
  - profiles (azure.mgmt.trafficmanager.operations.ProfilesOperations) – Profiles operations
  - geographic_hierarchies (azure.mgmt.trafficmanager.operations.GeographicHierarchiesOperations) – GeographicHierarchies operations
  - heat_map (azure.mgmt.trafficmanager.operations.HeatMapOperations) – HeatMap operations
  - traffic_manager_user_metrics_keys (azure.mgmt.trafficmanager.operations.TrafficManagerUserMetricsKeysOperations) – TrafficManagerUserMetricsKeys operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – Gets subscription credentials which uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.
  - base_url (str) – Service URL